Subject: Re: What's cooking in git.git (Mar 2012, #10; Wed, 28)

From: Jakub Narebski <[email-masked]>
Date: Fri, 30 Mar 2012 12:13:00 +0100

On Fri, 30 Mar 2012, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
>> Junio C Hamano <[email-masked]> writes:
>>
>>> --------------------------------------------------
>>> [Cooking]
>>
>>> * wk/gitweb-snapshot-use-if-modified-since (2012-03-26) 3 commits
>>>  - gitweb: add If-Modified-Since handling to git_snapshot().
>>>  - gitweb: refactor If-Modified-Since handling
>>>  - gitweb: add `status` headers to git_feed() responses.
>>> 
>>> Makes 'snapshot' request to "gitweb" honor If-Modified-Since: header,
>>> based on the commit date.
>>
>> What about "[PATCH v2 0/8] gitweb: Highlight interesting parts of diff"
>> series by Michał Kiedrowicz:
>>
>>   Message-ID: <[email-masked]>
>>   http://thread.gmane.org/gmane.comp.version-control.git/193804
> 
> I was waiting for the review cycle to come to a resolution.

Ah, so you were waiting for review before even considering this
series even for 'pu'...

...which I have only just finished (the review I mean).

>> I have copy of them in 'gitweb/diff-hl' branch:
> 
> Thanks for collecting them. I wasn't paying much attention to the list
> discussion.
> 
> Do you mean "I collected them for you to review, I do not yet vouch for
> them"?  I see one of them has your Ack, but otherwise there is no Sign-off
> by you on any of the commit, so it is unclear if your "What about" was
> your way of saying "I think this round is ready, go ahead and pull." with
> a rhetorical question, or a pure question "What is your opinion on this
> series?"

I meant "I collected them for you to have an option to pull rather than
apply set of 8 patches".  Anyway I applied them to examine how well they
work.

I think this series is in quite good shape, and I expect in next revision
or two might be even ready for 'next'.  One more serious issue that I'd
like to see solved is requiring untabify() run before format_diff*() vs
having format_diff*() do it itself which is more future-proof I think.

>> -->8 --
>> The following changes since commit 455cf268dbaf227bdbd5e9fbf96525452bcfe44f:
>>
>>   Git 1.7.10-rc3 (2012-03-28 11:18:42 -0700)
>>
>> are available in the git repository at:
>>
>>   git://repo.or.cz/git/jnareb-git.git gitweb/diff-hl
>>
>> for you to fetch changes up to 60b06478f0349729dc9a4ddeb1abf5e28986fb7e:
>>
>>   gitweb: Refinement highlightning in combined diffs (2012-03-29 21:26:36 +0200)

-- 
Jakub Narebski
Poland